<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides our ORM interaction with LDAP
 *
 * @package    Kohana/LDAP
 * @category   Model/LDAP
 * @author     Deon George
 * @copyright  (c) 2013 phpLDAPadmin Development Team
 * @license    http://dev.phpldapadmin.org/license.html
 */
class Model_LDAP extends ORM_LDAP {
	public $_reload_on_wakeup = FALSE;

	protected $_has_one = array(
		'bp_manager'=>array('model'=>'LDAP','foreign_key'=>'dn','far_key'=>'manager'),
		'tl_manager'=>array('model'=>'LDAP','foreign_key'=>'dn','far_key'=>'glteamlead'),
	);

	// Unused - by required for page rendering for admin menu items
	public function isAdmin() {
		return FALSE;
	}
}
?>
